Name:		libogg
Version:	1.2.1
Release:	1
Summary:	Ogg Bitstream Library.

Group:		System Environment/Libraries
License:	BSD
URL:		http://www.xiph.org/
Vendor:		Xiph.org Foundation <team@xiph.org>
Source0:	http://downloads.xiph.org/releases/ogg/%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Libogg is a library for manipulating ogg bitstreams.  It handles
both making ogg bitstreams and getting packets from ogg bitstreams.

The library is available as 32-bit and 64-bit.


%package devel
Summary: 	Ogg Bitstream Library Development
Group: 		Development/Libraries
Requires: 	%{name} = %{version}

%description devel
The libogg-devel package contains the header files, static libraries
and documentation needed to develop applications with libogg.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "cc -q64" or "gcc -maix64".


%prep
%setup -q


%build
# setup environment for 32-bit and 64-bit builds
export AR="ar -X32_64"
export NM="nm -X32_64"

# first build the 64-bit version
export CC="xlc -q64"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}

cp src/.libs/libogg.so.0 .
make distclean

# now build the 32-bit version
export CC="xlc"
./configure \
    --prefix=%{_prefix} \
    --enable-shared --enable-static
make %{?_smp_mflags}

# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared objects
${AR} -q src/.libs/libogg.a ./libogg.so.0


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS CHANGES COPYING README
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%defattr(-,root,system)
%doc doc/framing.html
%doc doc/index.html
%doc doc/oggstream.html
%doc doc/white-ogg.png
%doc doc/white-xifish.png
%doc doc/stream.png
%doc doc/libogg/*.html
%doc doc/libogg/style.css
%dir %{_includedir}/ogg
%{_includedir}/ogg/*
%{_libdir}/*.la
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*
/usr/include/*
/usr/lib/*.la


%changelog
* Mon Dec 06 2010 Michael Perzl <michael@perzl.org> - 1.2.1-1
- updated to version 1.2.1

* Thu Apr 08 2010 Michael Perzl <michael@perzl.org> - 1.2.0-1
- updated to version 1.2.0

* Thu Jan 17 2008 Michael Perzl <michael@perzl.org> - 1.1.3-1
- first version for AIX V5.1 and higher
